#
# Copyright 2003 by Object Craft P/L, Melbourne, Australia.
#
# LICENCE - see LICENCE file distributed with this software for details.
#
# AUTHOR(S)
#       Matt Goodall <matt AT pollenation DOT net>

import fcgi
import albatross.cgiapp

class Request(albatross.cgiapp.Request):
    def __init__(self):
        self.__req = fcgi.FCGI()
        albatross.cgiapp.Request.__init__(self, self.__req.getFieldStorage())
        self.__sent_headers = 0

    def get_uri(self):
        return self.__req.env['REQUEST_URI']

    def get_servername(self):
        return self.__req.env['SERVER_NAME']

    def get_header(self, name):
        env_name = 'HTTP_' + name.upper().replace('-', '_')
        return self.__req.env.get(env_name)

def running():
    return fcgi.isFCGI()
